#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
@author: Deepcold
@file: covert_dict_object.py
@time: 2019/8/20 9:49
"""


class Dict(dict):
    __setattr__ = dict.__setitem__
    __getattr__ = dict.__getitem__


def dict_to_object(dict_obj):
    if not isinstance(dict_obj, dict):
        return dict_obj
    inst = Dict()
    for k, v in dict_obj.items():
        inst[k] = dict_to_object(v)
    return inst
