#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
@author: Deepcold
@file: manage.py
@time: 2019/8/19 9:45
"""
import datetime
from config import CONFIG_DICT
from bin.utils.read_yaml import read_yaml
from deal_bidder import BidInfo

config_name = CONFIG_DICT.get("product")  # 更改加载的配置文件
# config_name = CONFIG_DICT.get("develop")  # 更改加载的配置文件
CONFIG = read_yaml(config_name)

if __name__ == '__main__':
    from bin.DailyEvent import DailyEvent

    bid_info = BidInfo(datetime.datetime.strftime(datetime.date.today(), "%Y-%m-%d"))
    # bid_info = BidInfo("2019-08-24")
    bid_info.parse_data()
    app = DailyEvent(CONFIG)
    app.run()
