#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
@author: Deepcold
@file: parse_name_is_company.py
@time: 2019/6/26 11:29
"""
import re

from manage import CONFIG

"""
原告，上诉人
"""

def parse_name(name):
    name_list = name.split("\n")
    new_name_list = []
    for name in name_list:
        # 解析规则不要个人，要公司，排除政府机构,排除配置中的排除公司名单
        # 长度小于3的过滤
        if len(name) <= 5:
            pass
        # if "电力公司" in name:
        #     pass
        elif name in CONFIG.PASS_COMPANY:
            pass
        else:
            if "公司" not in name:
                if re.findall('^.*[厂店社]$|^.*[学银超][校行市]$', name):
                    new_name_list.append(name)
            else:
                new_name_list.append(name)
    if len(new_name_list) <= 4:
        return new_name_list
    else:
        return []
